| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
LPF Bypass
bladeRF1-specific API

## Description

These functions provide control over the LPF bypass mode of the LMS6002D.

These functions are thread-safe.

## Enumerations
enum | bladerf_lpf_mode { BLADERF_LPF_NORMAL , BLADERF_LPF_BYPASSED , BLADERF_LPF_DISABLED }

## Functions
API_EXPORT int CALL_CONV | bladerf_set_lpf_mode (struct bladerf *dev, bladerf_channel ch, bladerf_lpf_mode mode)
API_EXPORT int CALL_CONV | bladerf_get_lpf_mode (struct bladerf *dev, bladerf_channel ch, bladerf_lpf_mode *mode)

## Enumeration Type Documentation

## ◆ bladerf_lpf_mode

enum bladerf_lpf_mode

Low-Pass Filter (LPF) mode

Enumerator
BLADERF_LPF_NORMAL | LPF connected and enabled
BLADERF_LPF_BYPASSED | LPF bypassed
BLADERF_LPF_DISABLED | LPF disabled

Definition at line 434 of file bladeRF1.h.

## Function Documentation

## ◆ bladerf_get_lpf_mode()

API_EXPORT int CALL_CONV bladerf_get_lpf_mode | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bladerf_lpf_mode * | mode )

Get the current mode of the LMS LPF

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [out] | mode | Current mode of the LPF

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_lpf_mode()

API_EXPORT int CALL_CONV bladerf_set_lpf_mode | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bladerf_lpf_mode | mode )

Set the LMS LPF mode to bypass or disable it

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [in] | mode | Mode to be set

Returns
  0 on success, value from Error codes list on failure